com.jscape.inet.ssh.protocol.v2.authentication

## Class PublicKeyClientAuthentication

- java.lang.Object
- - AbstractClientAuthentication
  - - com.jscape.inet.ssh.protocol.v2.authentication.PublicKeyClientAuthentication

-     public class PublicKeyClientAuthentication
      extends AbstractClientAuthentication

  Represents a SSH 'public-key' authentication operation.
  Author:
    Alex Usun

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `PublicKeyClientAuthentication(MessageCodec.Factory codecFactory, java.lang.String username, PublicKeyAlgorithm publicKeyAlgorithm, java.security.KeyPair keys)` Creates a new operation instance.

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `applyTo(TransportConnection connection, java.lang.String serviceName)`
    `static PublicKeyClientAuthentication` | `defaultAuthentication(java.lang.String username, PublicKeyAlgorithm publicKeyAlgorithm, java.security.KeyPair keys)`
    `java.lang.String` | `toString()`

    - ### Methods inherited from class java.lang.Object

      `equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### PublicKeyClientAuthentication

          public PublicKeyClientAuthentication(MessageCodec.Factory codecFactory,
                                               java.lang.String username,
                                               PublicKeyAlgorithm publicKeyAlgorithm,
                                               java.security.KeyPair keys)

      Creates a new operation instance.
      Parameters:
        `username` - an username
        `keys` - key pair

  - ### Method Detail

    - #### defaultAuthentication

          public static PublicKeyClientAuthentication defaultAuthentication(java.lang.String username,
                                                                            PublicKeyAlgorithm publicKeyAlgorithm,
                                                                            java.security.KeyPair keys)

    - #### applyTo

          public void applyTo(TransportConnection connection,
                              java.lang.String serviceName)
                       throws java.lang.Exception

      Throws:
        `java.lang.Exception`

    - #### toString

          public java.lang.String toString()

Copyright © JSCAPE LLC. 1999-2021. All Rights Reserved